log4shib 2.0.0

Public Member Functions | List of all members
log4shib::ThreadNameComponent Struct Reference
Inheritance diagram for log4shib::ThreadNameComponent:
[legend]
Collaboration diagram for log4shib::ThreadNameComponent:
[legend]

## Public Member Functions
virtual void | append (std::ostringstream &out, const LoggingEvent &event)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)=0

## Member Function Documentation

## ◆ append()

virtual void log4shib::ThreadNameComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event
| ) |  |
| inline virtual

Implements log4shib::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp